# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2019-04-24 10:03
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ib', '0012_auto_20190327_0806'),
    ]

    operations = [
        migrations.CreateModel(
            name='Load',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(help_text='date of the posted action')),
            ],
            options={
                'db_table': 'Load',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='LoadValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('parameter', models.CharField(help_text='name of the load value (CPU, RAM, DISK)', max_length=45)),
                ('uom', models.CharField(help_text='name of the measurement unit, considering the type of parameter ( CPU -> number of cores, RAM -> MBs, DISK -> GBs)', max_length=45)),
                ('value', models.DecimalField(decimal_places=3, default=0.0, help_text="the value representing the number of uom's declared", max_digits=10)),
                ('loadid', models.ForeignKey(db_column='Load_id', help_text='Load identity number', on_delete=django.db.models.deletion.CASCADE, to='ib.Load')),
            ],
            options={
                'db_table': 'LoadValue',
                'ordering': ('id',),
            },
        ),
        migrations.AlterField(
            model_name='form',
            name='form',
            field=models.CharField(choices=[('electric_energy', 'Electric_energy'), ('thermal_energy', 'Thermal energy'), ('congestion_management', 'Congestion Management'), ('reactive_power_compensation', 'Reactive Power Compensation'), ('spinning_reserve', 'Spinning Reserve'), ('scheduling', 'Scheduling'), ('it_load', 'IT Load')], help_text='Form type', max_length=45),
        ),
        migrations.AlterField(
            model_name='marketservicetype',
            name='type',
            field=models.CharField(choices=[('energy', 'Energy'), ('ancillary-services', 'Ancillary-services'), ('thermal_energy', 'Heat'), ('it_load', 'IT Load')], default='energy', help_text='type of market (energy, flexibility, heat, IT load)', max_length=100),
        ),
        migrations.AddField(
            model_name='marketaction',
            name='loadid',
            field=models.ForeignKey(blank=True, db_column='Load_id', help_text='load identity number', null=True, on_delete=django.db.models.deletion.CASCADE, to='ib.Load'),
        ),
    ]
